com.privatejgoodies.common.internal

## Interface StringLocalizer

All Known Implementing Classes:
  ResourceBundleLocalizer

    public interface StringLocalizer

Describes an object that can localize Strings accessible via a key.

This interface is used by the JGoodies Forms to localize Strings from ResourceBundles and ResourceMaps (a class from JGoodies Application). The latter implements this StringLocalizer interface. Since ResourceBundle does not implement this interface, a wrapper can be used that implements this interface and just delegates to the ResourceBundle to look up the localized String.

Note: This class is not part of the public JGoodies Common API. It's intended for implementation purposes only. The class's API may change at any time.

Since:
  1.4
Author:
  Karsten Lentzsch

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getString(String key)` Returns a localized String for the given key.

### Method Detail

#### getString

    String getString(String key)

Returns a localized String for the given key.

Parameters:
  `key` - the key used to look up the localized String
Returns:
  the localized String